Rotate the calling application's webhook signing secret
curl --request POST \
--url https://staging-idaas.yourflexpay.com/api/v1/applications/webhook-secret/rotate \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging-idaas.yourflexpay.com/api/v1/applications/webhook-secret/rotate"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging-idaas.yourflexpay.com/api/v1/applications/webhook-secret/rotate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"errorCode": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"appHandle": "walletapp",
"clientId": "<string>",
"clientSecret": "<string>",
"active": true,
"redirectUris": "<string>",
"transactionWebhookUrl": "<string>",
"webhookSecret": "<string>",
"metadata": {},
"logoUrl": "<string>",
"appPublicKeyJwk": {
"kty": "<string>",
"crv": "<string>",
"x": "<string>",
"y": "<string>",
"use": "<string>",
"alg": "<string>",
"d": "<string>"
},
"appPrivateJwk": {
"kty": "<string>",
"crv": "<string>",
"x": "<string>",
"y": "<string>",
"use": "<string>",
"alg": "<string>",
"d": "<string>"
},
"encryptionEnabled": true,
"keyVersion": 1,
"createdAt": "2023-11-07T05:31:56Z"
},
"errors": [
"<string>"
],
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": true,
"message": "<string>",
"errorCode": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"appHandle": "walletapp",
"clientId": "<string>",
"clientSecret": "<string>",
"active": true,
"redirectUris": "<string>",
"transactionWebhookUrl": "<string>",
"webhookSecret": "<string>",
"metadata": {},
"logoUrl": "<string>",
"appPublicKeyJwk": {
"kty": "<string>",
"crv": "<string>",
"x": "<string>",
"y": "<string>",
"use": "<string>",
"alg": "<string>",
"d": "<string>"
},
"appPrivateJwk": {
"kty": "<string>",
"crv": "<string>",
"x": "<string>",
"y": "<string>",
"use": "<string>",
"alg": "<string>",
"d": "<string>"
},
"encryptionEnabled": true,
"keyVersion": 1,
"createdAt": "2023-11-07T05:31:56Z"
},
"errors": [
"<string>"
],
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": true,
"message": "<string>",
"errorCode": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"appHandle": "walletapp",
"clientId": "<string>",
"clientSecret": "<string>",
"active": true,
"redirectUris": "<string>",
"transactionWebhookUrl": "<string>",
"webhookSecret": "<string>",
"metadata": {},
"logoUrl": "<string>",
"appPublicKeyJwk": {
"kty": "<string>",
"crv": "<string>",
"x": "<string>",
"y": "<string>",
"use": "<string>",
"alg": "<string>",
"d": "<string>"
},
"appPrivateJwk": {
"kty": "<string>",
"crv": "<string>",
"x": "<string>",
"y": "<string>",
"use": "<string>",
"alg": "<string>",
"d": "<string>"
},
"encryptionEnabled": true,
"keyVersion": 1,
"createdAt": "2023-11-07T05:31:56Z"
},
"errors": [
"<string>"
],
"timestamp": "2023-11-07T05:31:56Z"
}Authentication
Rotate the calling application's webhook signing secret
Generates a new webhook signing secret for the authenticated application, stores only its hash, and returns the raw secret once.
Use the returned webhookSecret to verify X-IDaaS-Signature on inbound webhooks.
The previous webhook secret becomes invalid immediately.
POST
/
v1
/
applications
/
webhook-secret
/
rotate
Rotate the calling application's webhook signing secret
Authorizations
Obtain a token from POST /v1/auth/token using your client_id and client_secret, then enter Bearer <token> here.
⌘I